<?php

declare(strict_types=1);

namespace Drupal\otlog_test;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;

/**
 * Controller routines for testing otlog module.
 */
class TestControllers extends ControllerBase {

  /**
   * Returns test response.
   */
  public function debug() {
    $this->getLogger('test controller')->debug('test {level} message', [
      'level' => 'debug',
    ]);
    return new Response('ok');
  }

  /**
   * Throws test exception.
   */
  public function exception() {
    throw new \RuntimeException('test exception');
  }

}
